Package Gnumed :: Package business :: Module gmDocuments :: Class cDocumentFolder |
[frames] | no frames]

# Class cDocumentFolder

source code

Represents a folder with medical documents for a single patient.

Instance Methods
__init__(self, aPKey=None) Fails if | source code
cleanup(self) | source code
get_latest_freediams_prescription(self) | source code
get_latest_mugshot(self) | source code
get_mugshot_list(self, latest_only=True) | source code
get_doc_list(self, doc_type=None) return flat list of document IDs | source code
get_visual_progress_notes(self, episodes=None, encounter=None) | source code
get_unsigned_documents(self) | source code
get_documents(self, doc_type=None, episodes=None, encounter=None, order_by=None, exclude_unsigned=False) Return list of documents. | source code
add_document(self, document_type=None, encounter=None, episode=None) | source code

Method Details

### __init__(self, aPKey=None) (Constructor) | source code
    Fails if

    - patient referenced by aPKey does not exist